from kombo import Kombowith Kombo( integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28", api_key="<YOUR_BEARER_TOKEN_HERE>",) as k_client: res = k_client.ats.reject_application(application_id="GRKdd9dibYKKCrmGRSMJf3wu", rejection_reason_id="3PJ8PZhZZa1eEdd2DtPNtVup", note="Candidate was a great culture fit but didn't bring the hard skills we need.") # Handle response print(res)
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.ats.rejectApplication({
application_id: "GRKdd9dibYKKCrmGRSMJf3wu",
body: {
rejection_reason_id: "3PJ8PZhZZa1eEdd2DtPNtVup",
note: "Candidate was a great culture fit but didn't bring the hard skills we need.",
},
});
console.log(result);
}
run();
require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.ats.reject_application(application_id: 'GRKdd9dibYKKCrmGRSMJf3wu', body: Models::Shared::PostAtsApplicationsApplicationIdRejectRequestBody.new(
rejection_reason_id: '3PJ8PZhZZa1eEdd2DtPNtVup',
note: 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
))
unless res.post_ats_applications_application_id_reject_positive_response.nil?
# handle response
end
curl --request POST \
--url https://api.kombo.dev/v1/ats/applications/{application_id}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data @- <<EOF
{
"rejection_reason_id": "3PJ8PZhZZa1eEdd2DtPNtVup",
"note": "Candidate was a great culture fit but didn't bring the hard skills we need."
}
EOF
const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
rejection_reason_id: '3PJ8PZhZZa1eEdd2DtPNtVup',
note: 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
})
};
fetch('https://api.kombo.dev/v1/ats/applications/{application_id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/ats/applications/{application_id}/reject",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rejection_reason_id' => '3PJ8PZhZZa1eEdd2DtPNtVup',
'note' => 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/ats/applications/{application_id}/reject"
payload := strings.NewReader("{\n \"rejection_reason_id\": \"3PJ8PZhZZa1eEdd2DtPNtVup\",\n \"note\": \"Candidate was a great culture fit but didn't bring the hard skills we need.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.kombo.dev/v1/ats/applications/{application_id}/reject")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rejection_reason_id\": \"3PJ8PZhZZa1eEdd2DtPNtVup\",\n \"note\": \"Candidate was a great culture fit but didn't bring the hard skills we need.\"\n}")
.asString();
{ "status": "success", "data": {}, "warnings": [ { "message": "This is an example warning!" } ]}
Applications
Reject application
Rejects an application with a provided reason.
POST
/
ats
/
applications
/
{application_id}
/
reject
Python
from kombo import Kombowith Kombo( integration_id="workday:HWUTwvyx2wLoSUHphiWVrp28", api_key="<YOUR_BEARER_TOKEN_HERE>",) as k_client: res = k_client.ats.reject_application(application_id="GRKdd9dibYKKCrmGRSMJf3wu", rejection_reason_id="3PJ8PZhZZa1eEdd2DtPNtVup", note="Candidate was a great culture fit but didn't bring the hard skills we need.") # Handle response print(res)
import { Kombo } from "@kombo-api/sdk";
const kombo = new Kombo({
integration_id: "workday:HWUTwvyx2wLoSUHphiWVrp28",
api_key: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await kombo.ats.rejectApplication({
application_id: "GRKdd9dibYKKCrmGRSMJf3wu",
body: {
rejection_reason_id: "3PJ8PZhZZa1eEdd2DtPNtVup",
note: "Candidate was a great culture fit but didn't bring the hard skills we need.",
},
});
console.log(result);
}
run();
require 'kombo'
Models = ::Kombo::Models
s = ::Kombo::Kombo.new(
integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',
security: Models::Shared::Security.new(
api_key: '<YOUR_BEARER_TOKEN_HERE>'
)
)
res = s.ats.reject_application(application_id: 'GRKdd9dibYKKCrmGRSMJf3wu', body: Models::Shared::PostAtsApplicationsApplicationIdRejectRequestBody.new(
rejection_reason_id: '3PJ8PZhZZa1eEdd2DtPNtVup',
note: 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
))
unless res.post_ats_applications_application_id_reject_positive_response.nil?
# handle response
end
curl --request POST \
--url https://api.kombo.dev/v1/ats/applications/{application_id}/reject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Integration-Id: <x-integration-id>' \
--data @- <<EOF
{
"rejection_reason_id": "3PJ8PZhZZa1eEdd2DtPNtVup",
"note": "Candidate was a great culture fit but didn't bring the hard skills we need."
}
EOF
const options = {
method: 'POST',
headers: {
'X-Integration-Id': '<x-integration-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
rejection_reason_id: '3PJ8PZhZZa1eEdd2DtPNtVup',
note: 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
})
};
fetch('https://api.kombo.dev/v1/ats/applications/{application_id}/reject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombo.dev/v1/ats/applications/{application_id}/reject",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'rejection_reason_id' => '3PJ8PZhZZa1eEdd2DtPNtVup',
'note' => 'Candidate was a great culture fit but didn\'t bring the hard skills we need.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Integration-Id: <x-integration-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombo.dev/v1/ats/applications/{application_id}/reject"
payload := strings.NewReader("{\n \"rejection_reason_id\": \"3PJ8PZhZZa1eEdd2DtPNtVup\",\n \"note\": \"Candidate was a great culture fit but didn't bring the hard skills we need.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Integration-Id", "<x-integration-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.kombo.dev/v1/ats/applications/{application_id}/reject")
.header("X-Integration-Id", "<x-integration-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rejection_reason_id\": \"3PJ8PZhZZa1eEdd2DtPNtVup\",\n \"note\": \"Candidate was a great culture fit but didn't bring the hard skills we need.\"\n}")
.asString();
{ "status": "success", "data": {}, "warnings": [ { "message": "This is an example warning!" } ]}
Supported integrations
This feature is currently available for the following integrations:
You’d like to see this feature for another integration? Please reach out!
We’re always happy to discuss extending our coverage.
Rejects an application with a provided reason. Optionally, you can provide a free text note. You can get the list of rejection reasons with our Get rejection reasons endpoint.
This endpoint requires the permission Reject applications to be enabled in your scope config.
{ "rejection_reason_id": "3PJ8PZhZZa1eEdd2DtPNtVup", "note": "Candidate was a great culture fit but didn't bring the hard skills we need.", "remote_fields": {}}
These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Kombo","colors":{"primary":"#14b8a6","light":"#5eead4","dark":"#15B8A6"},"logo":{"light":"https://mintcdn.com/kombo/5G-BTSylUTnMNzUN/logo/light.svg?fit=max\u0026auto=format\u0026n=5G-BTSylUTnMNzUN\u0026q=85\u0026s=e63a5882dfad565ffad086e946e31625","dark":"https://mintcdn.com/kombo/BvlFKneaD6eycZI3/logo/dark.svg?fit=max\u0026auto=format\u0026n=BvlFKneaD6eycZI3\u0026q=85\u0026s=c326174907f14ee7bef0e17d62708eba"},"favicon":"https://mintcdn.com/kombo/2lUmYlLqJZfpPMTz/favicon.svg?fit=max\u0026auto=format\u0026n=2lUmYlLqJZfpPMTz\u0026q=85\u0026s=06bfda04e248fb862b34c4e972d4b1a8","api":{"mdx":{"auth":{"method":"bearer"},"server":"https://api.kombo.dev/v1"}},"navbar":{"links":[{"href":"https://app.kombo.dev","label":"Dashboard"}],"primary":{"type":"button","label":"Get a demo","href":"https://www.kombo.dev/demo"}},"footer":{"socials":{"website":"https://www.kombo.dev/","linkedin":"https://www.linkedin.com/company/kombo-api/about"}},"seo":{"indexing":"all"},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"kombo","hasAudioNarration":false,"actualSubdomain":"kombo","customDomains":["docs.kombo.dev"],"gitSource":{"type":"github","owner":"kombohq","repo":"docs-prod","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae7331ca3bb2421cadf36fd","collectionId":"f53fa1ce-cab6-4549-bbc9-ec36b4134313","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae7331ca3bb2421cadf36fd"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae7331ca3bb2421cadf36fd","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"Developer documentation","count":696},{"language":"default","tag":"General","count":336},{"language":"default","tag":"Available Connectors","count":259},{"language":"default","tag":"HRIS","count":240},{"language":"default","tag":"ATS","count":238},{"language":"default","tag":"Features","count":114},{"language":"default","tag":"ATS Assessment \u0026 Background Check","count":90},{"language":"default","tag":"LMS","count":88},{"language":"default","tag":"Guides","count":75},{"language":"default","tag":"General API Reference","count":56}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"img[src^='https://storage.googleapis.com/kombo-assets/integrations/']{background-color:transparent!important}[data-name=frame] img{max-height:40vh}a[id]{scroll-margin-top:var(--scroll-mt)}"}],"page":{"pagePath":"ats/v1/post-applications-application-id-reject","slug":"/ats/v1/post-applications-application-id-reject","pageMetadata":{"title":"Reject application","description":"Rejects an application with a provided reason.","openapi":"POST /ats/applications/{application_id}/reject","href":"/ats/v1/post-applications-application-id-reject"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Rejects an application with a provided reason.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{Accordion,CodeBlock,Heading,Note,OptimizedImage}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!OptimizedImage)_missingMdxReference(`OptimizedImage`,true);return _jsxs(_Fragment,{children:[_jsxs(Accordion,{title:`Supported integrations`,icon:`list-check`,id:`supported-integrations`,children:[_jsx(_components.p,{children:`This feature is currently available for the following integrations:`}),_jsxs(`ul`,{children:[_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/workday/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/workday`,children:`Workday`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/successfactors/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/successfactors`,children:`SAP SuccessFactors`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/smartrecruiters/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/smartrecruiters`,children:`SmartRecruiters`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/oraclerecruiting/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/oraclerecruiting`,children:`Oracle Recruiting Cloud`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/lever/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/lever`,children:`Lever`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/recruitee/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/recruitee`,children:`Tellent Recruitee`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/recruiterflow/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/recruiterflow`,children:`RecruiterFlow`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/greenhouse/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/greenhouse`,children:`Greenhouse (V1)`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/greenhousev3/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/greenhousev3`,children:`Greenhouse (V3)`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/teamtailor/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/teamtailor`,children:`Teamtailor`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/ashby/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/ashby`,children:`Ashby`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/ukgpro/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/ukgpro`,children:`UKG Pro`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/ukgready/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/ukgready`,children:`UKG Ready`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/bamboohr/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/bamboohr`,children:`BambooHR`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/bullhorn/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/bullhorn`,children:`Bullhorn`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/workable/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/workable`,children:`Workable`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/jobvite/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/jobvite`,children:`Jobvite`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/abacusumantis/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/abacusumantis`,children:`Abacus Umantis`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/umantis/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/umantis`,children:`Haufe Umantis`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/zohorecruit/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/zohorecruit`,children:`Zoho Recruit`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/eploy/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/eploy`,children:`Eploy`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/odoo/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/odoo`,children:`Odoo`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/mercury/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/mercury`,children:`Mercury`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/manatal/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/manatal`,children:`Manatal`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/avionte/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/avionte`,children:`Avionté`})]}),_jsxs(`li`,{class:`mint-flex mint-items-center`,children:[_jsx(OptimizedImage,{src:`https://storage.googleapis.com/kombo-assets/integrations/trackerrms/icon.svg`,height:`16px`,width:`16px`,class:`mint-m-0 mint-mr-2`}),_jsx(_components.a,{href:`/ats/connectors/trackerrms`,children:`TrackerRMS`})]})]}),_jsx(_components.p,{children:`You’d like to see this feature for another integration? Please reach out!\nWe’re always happy to discuss extending our coverage.`})]}),`\n`,_jsxs(_components.p,{children:[`Rejects an application with a provided reason. Optionally, you can provide a free text note. You can get the list of rejection reasons with our `,_jsx(_components.a,{href:`/ats/v1/get-rejection-reasons`,children:`Get rejection reasons endpoint`}),`.`]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`This endpoint requires the permission `,_jsx(_components.strong,{children:`Reject applications`}),` to be enabled in `,_jsx(_components.a,{href:`/scopes`,children:`your scope config`}),`.`]})}),`\n`,_jsx(Heading,{level:`3`,id:`example-request-body`,children:`Example Request Body`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`5`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`5`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"rejection_reason_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3PJ8PZhZZa1eEdd2DtPNtVup\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"note\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Candidate was a great culture fit but didn't bring the hard skills we need.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"remote_fields\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Reject application","description":"Rejects an application with a provided reason.","openapi":"POST /ats/applications/{application_id}/reject","href":"/ats/v1/post-applications-application-id-reject"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Example Request Body","slug":"example-request-body","depth":3,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/kombo/807f792f5d0ef37a/rb2b.js","/_mintlify/custom/kombo/6fdcec7d895f83f2/auto-expand-response-fields.js"],"dynamicCss":".mint-m-0 {\n margin: 0px\n}\n.mint-mr-2 {\n margin-right: 0.5rem\n}\n.mint-flex {\n display: flex\n}\n.mint-items-center {\n align-items: center\n}","openApiReferenceData":{"operation":{"operationId":"PostAtsApplicationsApplicationIdReject","summary":"Reject application","description":"Rejects an application with a provided reason.","tags":["Unified ATS API"],"parameters":["fcea4077-c031-4f3c-beb4-4bd9cb87bac9","3d0f4738-9993-4192-9ed1-392d9c12124b"],"requestBody":"4d6fb03c-d028-4c80-a9a2-232b00e1a75c","responses":{"200":"79777355-e0cc-4cd4-827f-26d78736cb8f","default":"aa266a03-8f2c-4087-b1c6-adcee66ee3b1"},"x-codeSamples":[{"lang":"python","label":"PostAtsApplicationsApplicationIdReject","source":"from kombo import Kombo\n\n\nwith Kombo(\n integration_id=\"workday:HWUTwvyx2wLoSUHphiWVrp28\",\n api_key=\"\u003cYOUR_BEARER_TOKEN_HERE>\",\n) as k_client:\n\n res = k_client.ats.reject_application(application_id=\"GRKdd9dibYKKCrmGRSMJf3wu\", rejection_reason_id=\"3PJ8PZhZZa1eEdd2DtPNtVup\", note=\"Candidate was a great culture fit but didn't bring the hard skills we need.\")\n\n # Handle response\n print(res)"},{"lang":"typescript","label":"PostAtsApplicationsApplicationIdReject","source":"import { Kombo } from \"@kombo-api/sdk\";\n\nconst kombo = new Kombo({\n integration_id: \"workday:HWUTwvyx2wLoSUHphiWVrp28\",\n api_key: \"\u003cYOUR_BEARER_TOKEN_HERE>\",\n});\n\nasync function run() {\n const result = await kombo.ats.rejectApplication({\n application_id: \"GRKdd9dibYKKCrmGRSMJf3wu\",\n body: {\n rejection_reason_id: \"3PJ8PZhZZa1eEdd2DtPNtVup\",\n note: \"Candidate was a great culture fit but didn't bring the hard skills we need.\",\n },\n });\n\n console.log(result);\n}\n\nrun();"},{"lang":"ruby","label":"PostAtsApplicationsApplicationIdReject","source":"require 'kombo'\n\nModels = ::Kombo::Models\ns = ::Kombo::Kombo.new(\n integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',\n security: Models::Shared::Security.new(\n api_key: '\u003cYOUR_BEARER_TOKEN_HERE>'\n )\n)\nres = s.ats.reject_application(application_id: 'GRKdd9dibYKKCrmGRSMJf3wu', body: Models::Shared::PostAtsApplicationsApplicationIdRejectRequestBody.new(\n rejection_reason_id: '3PJ8PZhZZa1eEdd2DtPNtVup',\n note: 'Candidate was a great culture fit but didn\\'t bring the hard skills we need.'\n))\n\nunless res.post_ats_applications_application_id_reject_positive_response.nil?\n # handle response\nend"}],"method":"post","type":"path","servers":["567f150c-305b-4412-8b85-b96898ce4d14","6f753169-b8d2-4306-8677-baba237e982e","9e44fcb7-1717-4b99-8f86-757c743ff363"],"security":["4c0fac86-c1e5-4913-8676-81ce671f879d"],"path":"/ats/applications/{application_id}/reject","baseUrlOptions":["https://api.kombo.dev/v1","https://api.us.kombo.dev/v1","https://api.ca.kombo.dev/v1"],"title":"Reject application","codeSamples":[{"label":"PostAtsApplicationsApplicationIdReject","lang":"python","source":"from kombo import Kombo\n\n\nwith Kombo(\n integration_id=\"workday:HWUTwvyx2wLoSUHphiWVrp28\",\n api_key=\"\u003cYOUR_BEARER_TOKEN_HERE>\",\n) as k_client:\n\n res = k_client.ats.reject_application(application_id=\"GRKdd9dibYKKCrmGRSMJf3wu\", rejection_reason_id=\"3PJ8PZhZZa1eEdd2DtPNtVup\", note=\"Candidate was a great culture fit but didn't bring the hard skills we need.\")\n\n # Handle response\n print(res)"},{"label":"PostAtsApplicationsApplicationIdReject","lang":"typescript","source":"import { Kombo } from \"@kombo-api/sdk\";\n\nconst kombo = new Kombo({\n integration_id: \"workday:HWUTwvyx2wLoSUHphiWVrp28\",\n api_key: \"\u003cYOUR_BEARER_TOKEN_HERE>\",\n});\n\nasync function run() {\n const result = await kombo.ats.rejectApplication({\n application_id: \"GRKdd9dibYKKCrmGRSMJf3wu\",\n body: {\n rejection_reason_id: \"3PJ8PZhZZa1eEdd2DtPNtVup\",\n note: \"Candidate was a great culture fit but didn't bring the hard skills we need.\",\n },\n });\n\n console.log(result);\n}\n\nrun();"},{"label":"PostAtsApplicationsApplicationIdReject","lang":"ruby","source":"require 'kombo'\n\nModels = ::Kombo::Models\ns = ::Kombo::Kombo.new(\n integration_id: 'workday:HWUTwvyx2wLoSUHphiWVrp28',\n security: Models::Shared::Security.new(\n api_key: '\u003cYOUR_BEARER_TOKEN_HERE>'\n )\n)\nres = s.ats.reject_application(application_id: 'GRKdd9dibYKKCrmGRSMJf3wu', body: Models::Shared::PostAtsApplicationsApplicationIdRejectRequestBody.new(\n rejection_reason_id: '3PJ8PZhZZa1eEdd2DtPNtVup',\n note: 'Candidate was a great culture fit but didn\\'t bring the hard skills we need.'\n))\n\nunless res.post_ats_applications_application_id_reject_positive_response.nil?\n # handle response\nend"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"fcea4077-c031-4f3c-beb4-4bd9cb87bac9":{"in":"header","name":"X-Integration-Id","schema":{"type":"string","isRequired":true,"description":"ID of the integration you want to interact with.","uniqueKey":"","typeLabel":"string"},"description":"ID of the integration you want to interact with.","example":"join:HWUTwvyx2wLoSUHphiWVrp28","required":true},"3d0f4738-9993-4192-9ed1-392d9c12124b":{"name":"application_id","in":"path","required":true,"description":"The Kombo ID of the application you want to reject.","schema":{"type":"string","description":"The Kombo ID of the application you want to reject.","isRequired":true,"uniqueKey":"","typeLabel":"string"},"examples":{"example1":{"value":"GRKdd9dibYKKCrmGRSMJf3wu"}}}},"requestBody":{"description":"POST /ats/applications/:application_id/reject Request body","content":{"application/json":{"schema":{"type":"object","properties":{"rejection_reason_id":{"type":"string","description":"The Kombo ID of the rejection reason.","isRequired":true,"uniqueKey":"rejection_reason_id","typeLabel":"string"},"note":{"type":"string","description":"A optional free text rejection note. Passed through if possible.","uniqueKey":"note","typeLabel":"string"},"remote_fields":{"type":"object","description":"Additional fields that we will pass through to specific ATS systems.","properties":{"greenhouse":{"type":"object","description":"Fields specific to Greenhouse.","properties":{"rejection_email":{"type":"object","additionalProperties":true,"description":"Additional data fields that we will pass through to the `rejection_email` field of Greenhouse's [reject application](https://developers.greenhouse.io/harvest.html#post-reject-application) endpoint.","uniqueKey":"remote_fields.greenhouse.rejection_email","typeLabel":"object"},"post_headers":{"type":"object","properties":{"On-Behalf-Of":{"oneOf":[{"type":"string","description":"ID of the the user that will show up as having performed the action in Greenhouse. We already pass a value by default, but you can use this to override it.","uniqueKey":"remote_fields.greenhouse.post_headers.On-Behalf-Of.oneOf.0","typeLabel":"string"},{"type":"null","description":"ID of the the user that will show up as having performed the action in Greenhouse. We already pass a value by default, but you can use this to override it.","uniqueKey":"remote_fields.greenhouse.post_headers.On-Behalf-Of.oneOf.1","typeLabel":"null"}],"uniqueKey":"remote_fields.greenhouse.post_headers.On-Behalf-Of","typeLabel":"string | null"}},"description":"Headers we will pass with `POST` requests to Greenhouse.","uniqueKey":"remote_fields.greenhouse.post_headers","typeLabel":"object"}},"uniqueKey":"remote_fields.greenhouse","typeLabel":"object"},"greenhousev3":{"type":"object","properties":{"rejection_email":{"type":"object","additionalProperties":true,"description":"Additional data fields passed through to the `rejection_email` field of Greenhouse V3's reject-application endpoint.","uniqueKey":"remote_fields.greenhousev3.rejection_email","typeLabel":"object"}},"description":"Fields specific to Greenhouse V3.","uniqueKey":"remote_fields.greenhousev3","typeLabel":"object"},"teamtailor":{"type":"object","properties":{"user_id":{"type":"string","description":"The remote ID of the user that will be displayed in the UI as the one that performed the action. If not provided, the first admin user will be used.","uniqueKey":"remote_fields.teamtailor.user_id","typeLabel":"string"}},"description":"Fields specific to Teamtailor.","uniqueKey":"remote_fields.teamtailor","typeLabel":"object"},"workable":{"type":"object","properties":{"on_behalf_of_user_remote_id":{"type":"string","description":"The remote ID of the user that will be displayed in the UI as the one that performed the action.","uniqueKey":"remote_fields.workable.on_behalf_of_user_remote_id","typeLabel":"string"}},"description":"Workable specific remote fields for ATS actions.","uniqueKey":"remote_fields.workable","typeLabel":"object"}},"uniqueKey":"remote_fields","typeLabel":"object"}},"required":["rejection_reason_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"example1":{"title":"example1","value":{"rejection_reason_id":"3PJ8PZhZZa1eEdd2DtPNtVup","note":"Candidate was a great culture fit but didn't bring the hard skills we need."}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"79777355-e0cc-4cd4-827f-26d78736cb8f":{"description":"POST /ats/applications/:application_id/reject Positive response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","const":"success","isRequired":true,"uniqueKey":"status","typeLabel":"string"},"data":{"type":"object","examples":[{}],"isRequired":true,"uniqueKey":"data","typeLabel":"object"},"warnings":{"type":"array","items":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"warnings.items.[INDEX].message","typeLabel":"string"}},"required":["message"],"uniqueKey":"warnings.items.[INDEX]","typeLabel":"object"},"description":"These are the interaction warnings that are shown in the dashboard. They are meant to provide debug information to you. We recommend logging them to the console.","isRequired":true,"uniqueKey":"warnings","typeLabel":"object[]"}},"required":["status","data","warnings"],"uniqueKey":"","typeLabel":"object"},"examples":{"example1":{"title":"example1","value":{"status":"success","data":{},"warnings":[{"message":"This is an example warning!"}]}}},"exampleType":"examples"}},"exampleType":"examples"},"aa266a03-8f2c-4087-b1c6-adcee66ee3b1":{"description":"The standard error response with the error codes for the ATS use case.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["error"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"error":{"type":"object","properties":{"code":{"oneOf":[{"type":"string","enum":["PLATFORM.RATE_LIMIT_EXCEEDED","PLATFORM.CONCURRENCY_LIMIT_EXCEEDED","PLATFORM.INTEGRATION_NOT_FOUND","PLATFORM.INPUT_INVALID","PLATFORM.UNKNOWN_ERROR","PLATFORM.IP_NOT_WHITELISTED","PLATFORM.AUTHENTICATION_INVALID","PLATFORM.TASK_TIMED_OUT","INTEGRATION.PERMISSION_MISSING","INTEGRATION.AUTHENTICATION_INVALID","INTEGRATION.QA_FAILED","INTEGRATION.SETUP_SYNC_PENDING","INTEGRATION.SETUP_INCOMPLETE","INTEGRATION.INACTIVE","INTEGRATION.MODEL_NOT_AVAILABLE","INTEGRATION.MODEL_DISABLED","INTEGRATION.ACTION_NOT_AVAILABLE","INTEGRATION.ACTION_DISABLED","REMOTE.SERVICE_UNAVAILABLE","REMOTE.RATE_LIMIT_EXCEEDED","REMOTE.INPUT_INVALID","REMOTE.UNKNOWN_HTTP_ERROR","ATS.JOB_CLOSED","ATS.APPLICATION_ALREADY_EXISTS"],"example":"ATS.JOB_CLOSED","description":"Some errors include an error code that can be used to identify their cause. See the [Error Handling Docs](https://docs.kombo.dev/guides/errors) for more information. For your error handling logic please use the error `code` instead of other properties (e.g. message, http status code, ...).","isRequired":true,"uniqueKey":"error.code.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["PLATFORM.RATE_LIMIT_EXCEEDED","PLATFORM.CONCURRENCY_LIMIT_EXCEEDED","PLATFORM.INTEGRATION_NOT_FOUND","PLATFORM.INPUT_INVALID","PLATFORM.UNKNOWN_ERROR","PLATFORM.IP_NOT_WHITELISTED","PLATFORM.AUTHENTICATION_INVALID","PLATFORM.TASK_TIMED_OUT","INTEGRATION.PERMISSION_MISSING","INTEGRATION.AUTHENTICATION_INVALID","INTEGRATION.QA_FAILED","INTEGRATION.SETUP_SYNC_PENDING","INTEGRATION.SETUP_INCOMPLETE","INTEGRATION.INACTIVE","INTEGRATION.MODEL_NOT_AVAILABLE","INTEGRATION.MODEL_DISABLED","INTEGRATION.ACTION_NOT_AVAILABLE","INTEGRATION.ACTION_DISABLED","REMOTE.SERVICE_UNAVAILABLE","REMOTE.RATE_LIMIT_EXCEEDED","REMOTE.INPUT_INVALID","REMOTE.UNKNOWN_HTTP_ERROR","ATS.JOB_CLOSED","ATS.APPLICATION_ALREADY_EXISTS"],"example":"ATS.JOB_CLOSED","description":"Some errors include an error code that can be used to identify their cause. See the [Error Handling Docs](https://docs.kombo.dev/guides/errors) for more information. For your error handling logic please use the error `code` instead of other properties (e.g. message, http status code, ...).","isRequired":true,"uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.code","typeLabel":"enum\u003cstring> | null"},"title":{"oneOf":[{"type":"string","description":"A static, human-readable label.","isRequired":true,"uniqueKey":"error.title.oneOf.0","typeLabel":"string"},{"type":"null","description":"A static, human-readable label.","isRequired":true,"uniqueKey":"error.title.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.title","typeLabel":"string | null"},"message":{"type":"string","description":"A dynamic, detailed description of what went wrong in this specific instance.","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"log_url":{"oneOf":[{"type":"string","format":"uri","description":"The log page in the Kombo UI lists every interaction with full details. If you need assistance, share that link with our support team.","isRequired":true,"uniqueKey":"error.log_url.oneOf.0","typeLabel":"string\u003curi>"},{"type":"null","format":"uri","description":"The log page in the Kombo UI lists every interaction with full details. If you need assistance, share that link with our support team.","isRequired":true,"uniqueKey":"error.log_url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error.log_url","typeLabel":"string\u003curi> | null"}},"required":["code","title","message","log_url"],"description":"Error details with structured code for programmatic handling.","isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["status","error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Error Response":{"title":"Error Response","description":"When building error handling logic, always use the `code` field to identify specific error types programmatically. See the complete list of error codes in the [docs](https://docs.kombo.dev/guides/errors).","value":{"status":"error","error":{"code":"INTEGRATION.MODEL_NOT_AVAILABLE","title":"This data model isn't supported for the selected integration.","message":"The \"employees\" model is not yet available for Greenhouse. Please reach out to Kombo if you need this functionality.","log_url":"https://app.kombo.dev/my-prod/logs?interactionId=123456"}}},"Minimal Error Response":{"title":"Minimal Error Response","description":"The \"message\" is always required while other fields can also be `null`. See the [docs](https://docs.kombo.dev/guides/errors) for more information.","value":{"status":"error","error":{"code":null,"title":null,"message":"The message is always in the response.","log_url":null}}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"4c0fac86-c1e5-4913-8676-81ce671f879d":{"ApiKey":{"type":"http","scheme":"bearer","description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","scopes":[],"schemeName":"ApiKey"}}},"servers":{"567f150c-305b-4412-8b85-b96898ce4d14":{"url":"https://api.kombo.dev/v1","description":"Kombo EU API"},"6f753169-b8d2-4306-8677-baba237e982e":{"url":"https://api.us.kombo.dev/v1","description":"Kombo US API"},"9e44fcb7-1717-4b99-8f86-757c743ff363":{"url":"https://api.ca.kombo.dev/v1","description":"Kombo CA API"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","scopes":[],"schemeName":"ApiKey"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Create an API key on the [Secrets](https://app.kombo.dev/secrets) page in the Kombo dashboard.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"ApiKey","name":"Authorization"}],"title":"ApiKey"}]},"originalFileLocation":"openapi.json"},"subdomain":"kombo","siteName":"Kombo","title":"Reject application - Kombo","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-16T15:11:50.108Z","originalFileLocation":"ats/v1/post-applications-application-id-reject.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Rejects an application with a provided reason.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Kombo\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Reject application - Kombo\">\u003cmeta data-mint-head property=\"og:description\" content=\"Rejects an application with a provided reason.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Kombo\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://kombo.mintlify.app/_mintlify/api/og/v2?division=Applications\u0026amp;title=Reject+application\u0026amp;description=Rejects+an+application+with+a+provided+reason.\u0026amp;theme=6aaa982de16023004d39177d\u0026amp;signature=53e12fac2168ce4134657e70b75b5257e432c94856cf2a4b2ab7a0887c9f0af0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Reject application - Kombo\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Rejects an application with a provided reason.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://kombo.mintlify.app/_mintlify/api/og/v2?division=Applications\u0026amp;title=Reject+application\u0026amp;description=Rejects+an+application+with+a+provided+reason.\u0026amp;theme=6aaa982de16023004d39177d\u0026amp;signature=53e12fac2168ce4134657e70b75b5257e432c94856cf2a4b2ab7a0887c9f0af0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/kombo/wSCKBGtwRd2fRaqL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Kombo\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#14b8a6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/ats/v1/post-applications-application-id-reject.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.kombo.dev/#organization\",\"name\":\"Kombo\",\"url\":\"https://docs.kombo.dev\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/kombo/5G-BTSylUTnMNzUN/logo/light.svg?fit=max\u0026auto=format\u0026n=5G-BTSylUTnMNzUN\u0026q=85\u0026s=e63a5882dfad565ffad086e946e31625\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.kombo.dev#website\",\"name\":\"Kombo\",\"url\":\"https://docs.kombo.dev\",\"publisher\":{\"@id\":\"https://docs.kombo.dev/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject#webpage\",\"url\":\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject\",\"name\":\"Reject application\",\"description\":\"Rejects an application with a provided reason.\",\"dateModified\":\"2026-07-16T15:11:50.108Z\",\"isPartOf\":{\"@id\":\"https://docs.kombo.dev#website\"},\"breadcrumb\":{\"@id\":\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"ATS API Reference\",\"item\":\"https://docs.kombo.dev/ats/v1/get-jobs\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Applications\",\"item\":\"https://docs.kombo.dev/ats/v1/get-applications\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Reject application\",\"item\":\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject#apireference\",\"headline\":\"Reject application\",\"name\":\"Reject application\",\"description\":\"Rejects an application with a provided reason.\",\"url\":\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject\",\"mainEntityOfPage\":{\"@id\":\"https://docs.kombo.dev/ats/v1/post-applications-application-id-reject#webpage\"},\"dateModified\":\"2026-07-16T15:11:50.108Z\",\"publisher\":{\"@id\":\"https://docs.kombo.dev/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.kombo.dev#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Kombo\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Kombo","nav":{"global":null,"tabs":[{"tab":"Developer documentation","icon":"code","anchors":[{"anchor":"Overview","pages":[{"title":"Overview","href":"/introduction"}]},{"anchor":"HRIS","icon":"users","pages":[{"title":"HRIS","href":"/hris/introduction"}]},{"anchor":"LMS","icon":"graduation-cap","pages":[{"title":"LMS","href":"/lms/introduction"}]},{"anchor":"ATS","icon":"briefcase","groups":[{"group":"General","icon":"circle-info","pages":[{"title":"Introduction","icon":"book-open","href":"/ats/introduction"},{"group":"Getting started","icon":"signs-post","pages":[{"title":"Overview","icon":"rocket","href":"/ats/getting-started"},{"title":"Sandbox Integrations","icon":"flask","href":"/ats/getting-started/sandbox-integrations"},{"title":"Creating Integrations","icon":"link","href":"/ats/getting-started/create-integrations"},{"title":"Authentication","icon":"key","href":"/ats/getting-started/authentication"},{"title":"Querying the API","icon":"magnifying-glass","href":"/ats/getting-started/querying-api"},{"title":"Fetching Data","icon":"download","href":"/ats/getting-started/fetching-data"}]},{"group":"Implementation guides","icon":"user-magnifying-glass","pages":[{"title":"Setup","icon":"wrench","href":"/ats/implementation-guide/setup"},{"title":"Connection setup","icon":"link","href":"/ats/implementation-guide/connection-setup"},{"group":"Talent acquisition","icon":"bullseye","pages":[{"title":"Context","icon":"circle-info","href":"/ats/implementation-guide/context"},{"title":"Setup","icon":"wrench","href":"/ats/implementation-guide/talent-acquisition/setup"},{"title":"Connection setup","icon":"link","href":"/ats/implementation-guide/talent-acquisition/connection-setup"},{"title":"Reading jobs","icon":"briefcase","href":"/ats/implementation-guide/reading-jobs"},{"title":"Screening questions","icon":"circle-question","href":"/ats/implementation-guide/screening-questions"},{"title":"Creating applications","icon":"file-circle-plus","href":"/ats/implementation-guide/creating-applications"},{"title":"Tracking created applications","icon":"chart-line","href":"/ats/implementation-guide/tracking-created-applications"}]},{"group":"AI Screening","icon":"brain","pages":[{"icon":"magnifying-glass","title":null,"href":"/ats/implementation-guide/screening-overview"},{"title":"Setup","icon":"wrench","href":"/ats/implementation-guide/ai-screening/setup"},{"title":"Connection setup","icon":"link","href":"/ats/implementation-guide/ai-screening/connection-setup"},{"title":"Reading Applications","icon":"users","href":"/ats/implementation-guide/reading-applicants"},{"icon":"pen-to-square","title":null,"href":"/ats/implementation-guide/writing-application-results"},{"title":"Moving and Rejecting Candidates","icon":"person-walking-arrow-right","href":"/ats/implementation-guide/moving-and-rejecting-candidates"}]}]},{"group":"Available Connectors","icon":"plug","pages":[{"title":"Available ATS Connectors","sidebarTitle":"Overview","icon":"grid-2","href":"/ats/connectors"},{"title":"Abacus Umantis ATS Integration","sidebarTitle":"Abacus Umantis","icon":"https://storage.googleapis.com/kombo-assets/integrations/abacusumantis/icon.svg","href":"/ats/connectors/abacusumantis"},{"title":"ADP Workforce Now ATS Integration","sidebarTitle":"ADP Workforce Now","icon":"https://storage.googleapis.com/kombo-assets/integrations/adpworkforcenow/icon.svg","href":"/ats/connectors/adpworkforcenow"},{"title":"AFAS Software ATS Integration","sidebarTitle":"AFAS Software","icon":"https://storage.googleapis.com/kombo-assets/integrations/afas/icon.svg","href":"/ats/connectors/afas"},{"title":"ApplicantStack ATS Integration","sidebarTitle":"ApplicantStack","icon":"https://storage.googleapis.com/kombo-assets/integrations/applicantstack/icon.svg","href":"/ats/connectors/applicantstack"},{"title":"Apploi ATS Integration","sidebarTitle":"Apploi","icon":"https://storage.googleapis.com/kombo-assets/integrations/apploi/icon.svg","href":"/ats/connectors/apploi"},{"title":"Ashby ATS Integration","sidebarTitle":"Ashby","icon":"https://storage.googleapis.com/kombo-assets/integrations/ashby/icon.svg","href":"/ats/connectors/ashby"},{"title":"Asymbl ATS Integration","sidebarTitle":"Asymbl","icon":"https://storage.googleapis.com/kombo-assets/integrations/asymbl/icon.svg","href":"/ats/connectors/asymbl"},{"title":"Atlas ATS Integration","sidebarTitle":"Atlas","icon":"https://storage.googleapis.com/kombo-assets/integrations/atlas/icon.svg","href":"/ats/connectors/atlas"},{"title":"Avature ATS Integration","sidebarTitle":"Avature","icon":"https://storage.googleapis.com/kombo-assets/integrations/avature/icon.svg","href":"/ats/connectors/avature"},{"title":"Avionté ATS Integration","sidebarTitle":"Avionté","icon":"https://storage.googleapis.com/kombo-assets/integrations/avionte/icon.svg","href":"/ats/connectors/avionte"},{"title":"BambooHR ATS Integration","sidebarTitle":"BambooHR","icon":"https://storage.googleapis.com/kombo-assets/integrations/bamboohr/icon.svg","href":"/ats/connectors/bamboohr"},{"title":"BITE ATS Integration","sidebarTitle":"BITE","icon":"https://storage.googleapis.com/kombo-assets/integrations/bite/icon.svg","href":"/ats/connectors/bite"},{"title":"Brass Ring ATS Integration","sidebarTitle":"Brass Ring","icon":"https://storage.googleapis.com/kombo-assets/integrations/brassring/icon.svg","href":"/ats/connectors/brassring"},{"title":"Breezy HR ATS Integration","sidebarTitle":"Breezy HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/breezyhr/icon.svg","href":"/ats/connectors/breezyhr"},{"title":"Bullhorn ATS Integration","sidebarTitle":"Bullhorn","icon":"","href":"/ats/connectors/bullhorn"},{"title":"Bullhorn for Salesforce ATS Integration","sidebarTitle":"Bullhorn for Salesforce","icon":"","href":"/ats/connectors/bullhorn4salesforce"},{"title":"Bullhorn Login ATS Integration","sidebarTitle":"Bullhorn Login","icon":"","href":"/ats/connectors/bullhornlogin"},{"title":"CareerPlug ATS Integration","sidebarTitle":"CareerPlug","icon":"https://storage.googleapis.com/kombo-assets/integrations/careerplug/icon.svg","href":"/ats/connectors/careerplug"},{"title":"Carerix ATS Integration","sidebarTitle":"Carerix","icon":"https://storage.googleapis.com/kombo-assets/integrations/carerix/icon.svg","href":"/ats/connectors/carerix"},{"title":"Carerix (GraphQL) ATS Integration","sidebarTitle":"Carerix (GraphQL)","icon":"https://storage.googleapis.com/kombo-assets/integrations/carerixgraphql/icon.svg","href":"/ats/connectors/carerixgraphql"},{"title":"CEGID TalentSoft Customer ATS Integration","sidebarTitle":"CEGID TalentSoft Customer","icon":"https://storage.googleapis.com/kombo-assets/integrations/talentsoftcustomer/icon.svg","href":"/ats/connectors/talentsoftcustomer"},{"title":"CEGID TalentSoft FrontOffice ATS Integration","sidebarTitle":"CEGID TalentSoft FrontOffice","icon":"https://storage.googleapis.com/kombo-assets/integrations/talentsoft/icon.svg","href":"/ats/connectors/talentsoft"},{"title":"Ceipal ATS Integration","sidebarTitle":"Ceipal","icon":"https://storage.googleapis.com/kombo-assets/integrations/ceipal/icon.svg","href":"/ats/connectors/ceipal"},{"title":"Compleet (Pitcher API) ATS Integration","sidebarTitle":"Compleet (Pitcher API)","icon":"https://storage.googleapis.com/kombo-assets/integrations/compleetpitcher/icon.svg","href":"/ats/connectors/compleetpitcher"},{"title":"Compleet (only PersoProfiler) ATS Integration","sidebarTitle":"Compleet (only PersoProfiler)","icon":"https://storage.googleapis.com/kombo-assets/integrations/compleet/icon.svg","href":"/ats/connectors/compleet"},{"title":"Compleet (Persy API) ATS Integration","sidebarTitle":"Compleet (Persy API)","icon":"https://storage.googleapis.com/kombo-assets/integrations/compleetpersy/icon.svg","href":"/ats/connectors/compleetpersy"},{"title":"concludis ATS Integration","sidebarTitle":"concludis","icon":"https://storage.googleapis.com/kombo-assets/integrations/concludis/icon.svg","href":"/ats/connectors/concludis"},{"title":"Connexys By Bullhorn ATS Integration","sidebarTitle":"Connexys By Bullhorn","icon":"","href":"/ats/connectors/connexys"},{"title":"Cornerstone OnDemand ATS Integration","sidebarTitle":"Cornerstone OnDemand","icon":"https://storage.googleapis.com/kombo-assets/integrations/cornerstoneondemand/icon.svg","href":"/ats/connectors/cornerstoneondemand"},{"title":"Cornerstone TalentLink ATS Integration","sidebarTitle":"Cornerstone TalentLink","icon":"https://storage.googleapis.com/kombo-assets/integrations/cornerstonetalentlink/icon.svg","href":"/ats/connectors/cornerstonetalentlink"},{"title":"Coveto (legacy SOAP API) ATS Integration","sidebarTitle":"Coveto (legacy SOAP API)","icon":"https://storage.googleapis.com/kombo-assets/integrations/coveto/icon.svg","href":"/ats/connectors/coveto"},{"title":"Coveto (REST API) ATS Integration","sidebarTitle":"Coveto (REST API)","icon":"https://storage.googleapis.com/kombo-assets/integrations/covetorest/icon.svg","href":"/ats/connectors/covetorest"},{"title":"Crelate ATS Integration","sidebarTitle":"Crelate","icon":"https://storage.googleapis.com/kombo-assets/integrations/crelate/icon.svg","href":"/ats/connectors/crelate"},{"title":"d.vinci ATS Integration","sidebarTitle":"d.vinci","icon":"https://storage.googleapis.com/kombo-assets/integrations/dvinci/icon.svg","href":"/ats/connectors/dvinci"},{"title":"d.vinci admin ATS Integration","sidebarTitle":"d.vinci admin","icon":"https://storage.googleapis.com/kombo-assets/integrations/dvinciadmin/icon.svg","href":"/ats/connectors/dvinciadmin"},{"title":"Databites ATS Integration","sidebarTitle":"Databites","icon":"https://storage.googleapis.com/kombo-assets/integrations/databites/icon.svg","href":"/ats/connectors/databites"},{"title":"Dayforce ATS Integration","sidebarTitle":"Dayforce","icon":"https://storage.googleapis.com/kombo-assets/integrations/dayforce/icon.svg","href":"/ats/connectors/dayforce"},{"title":"Digital Recruiters ATS Integration","sidebarTitle":"Digital Recruiters","icon":"https://storage.googleapis.com/kombo-assets/integrations/digitalrecruiters/icon.svg","href":"/ats/connectors/digitalrecruiters"},{"title":"Eightfold ATS Integration","sidebarTitle":"Eightfold","icon":"https://storage.googleapis.com/kombo-assets/integrations/eightfold/icon.svg","href":"/ats/connectors/eightfold"},{"title":"Emply People ATS Integration","sidebarTitle":"Emply People","icon":"https://storage.googleapis.com/kombo-assets/integrations/emplypeople/icon.svg","href":"/ats/connectors/emplypeople"},{"title":"Eploy ATS Integration","sidebarTitle":"Eploy","icon":"https://storage.googleapis.com/kombo-assets/integrations/eploy/icon.svg","href":"/ats/connectors/eploy"},{"title":"eRecruiter ATS Integration","sidebarTitle":"eRecruiter","icon":"https://storage.googleapis.com/kombo-assets/integrations/erecruiter/icon.svg","href":"/ats/connectors/erecruiter"},{"title":"Factorial ATS Integration","sidebarTitle":"Factorial","icon":"https://storage.googleapis.com/kombo-assets/integrations/factorial/icon.svg","href":"/ats/connectors/factorial"},{"title":"Flatchr ATS Integration","sidebarTitle":"Flatchr","icon":"https://storage.googleapis.com/kombo-assets/integrations/flatchr/icon.svg","href":"/ats/connectors/flatchr"},{"title":"Fountain ATS Integration","sidebarTitle":"Fountain","icon":"https://storage.googleapis.com/kombo-assets/integrations/fountain/icon.svg","href":"/ats/connectors/fountain"},{"title":"Gem ATS Integration","sidebarTitle":"Gem","icon":"https://storage.googleapis.com/kombo-assets/integrations/gem/icon.svg","href":"/ats/connectors/gem"},{"title":"Greenhouse (V1) ATS Integration","sidebarTitle":"Greenhouse (V1)","icon":"https://storage.googleapis.com/kombo-assets/integrations/greenhouse/icon.svg","href":"/ats/connectors/greenhouse"},{"title":"Greenhouse (V3) ATS Integration","sidebarTitle":"Greenhouse (V3)","icon":"https://storage.googleapis.com/kombo-assets/integrations/greenhousev3/icon.svg","href":"/ats/connectors/greenhousev3"},{"title":"Greenhouse Job Board ATS Integration","sidebarTitle":"Greenhouse Job Board","icon":"https://storage.googleapis.com/kombo-assets/integrations/greenhousejobboard/icon.svg","href":"/ats/connectors/greenhousejobboard"},{"title":"GuideCom ATS Integration","sidebarTitle":"GuideCom","icon":"https://storage.googleapis.com/kombo-assets/integrations/guidecom/icon.svg","href":"/ats/connectors/guidecom"},{"title":"Haufe Umantis ATS Integration","sidebarTitle":"Haufe Umantis","icon":"","href":"/ats/connectors/umantis"},{"title":"Heyrecruit ATS Integration","sidebarTitle":"Heyrecruit","icon":"https://storage.googleapis.com/kombo-assets/integrations/heyrecruit/icon.svg","href":"/ats/connectors/heyrecruit"},{"title":"HiBob ATS Integration","sidebarTitle":"HiBob","icon":"https://storage.googleapis.com/kombo-assets/integrations/hibob/icon.svg","href":"/ats/connectors/hibob"},{"title":"Homerun ATS Integration","sidebarTitle":"Homerun","icon":"https://storage.googleapis.com/kombo-assets/integrations/homerun/icon.svg","href":"/ats/connectors/homerun"},{"title":"HR Office ATS Integration","sidebarTitle":"HR Office","icon":"https://storage.googleapis.com/kombo-assets/integrations/hroffice/icon.svg","href":"/ats/connectors/hroffice"},{"title":"HR WORKS ATS Integration","sidebarTitle":"HR WORKS","icon":"https://storage.googleapis.com/kombo-assets/integrations/hrworks/icon.svg","href":"/ats/connectors/hrworks"},{"title":"HR4YOU ATS Integration","sidebarTitle":"HR4YOU","icon":"https://storage.googleapis.com/kombo-assets/integrations/hr4you/icon.svg","href":"/ats/connectors/hr4you"},{"title":"iCIMS ATS Integration","sidebarTitle":"iCIMS","icon":"","href":"/ats/connectors/icims"},{"title":"InRecruiting by Zucchetti ATS Integration","sidebarTitle":"InRecruiting by Zucchetti","icon":"https://storage.googleapis.com/kombo-assets/integrations/inrecruiting/icon.svg","href":"/ats/connectors/inrecruiting"},{"title":"JazzHR ATS Integration","sidebarTitle":"JazzHR","icon":"https://storage.googleapis.com/kombo-assets/integrations/jazzhr/icon.svg","href":"/ats/connectors/jazzhr"},{"title":"JobAdder ATS Integration","sidebarTitle":"JobAdder","icon":"https://storage.googleapis.com/kombo-assets/integrations/jobadder/icon.svg","href":"/ats/connectors/jobadder"},{"title":"JobAdder Job Board ATS Integration","sidebarTitle":"JobAdder Job Board","icon":"https://storage.googleapis.com/kombo-assets/integrations/jobadderjobboard/icon.svg","href":"/ats/connectors/jobadderjobboard"},{"title":"JobDiva ATS Integration","sidebarTitle":"JobDiva","icon":"https://storage.googleapis.com/kombo-assets/integrations/jobdiva/icon.svg","href":"/ats/connectors/jobdiva"},{"title":"Jobvite ATS Integration","sidebarTitle":"Jobvite","icon":"https://storage.googleapis.com/kombo-assets/integrations/jobvite/icon.svg","href":"/ats/connectors/jobvite"},{"title":"Jobylon ATS Integration","sidebarTitle":"Jobylon","icon":"https://storage.googleapis.com/kombo-assets/integrations/jobylon/icon.svg","href":"/ats/connectors/jobylon"},{"title":"JOIN ATS Integration","sidebarTitle":"JOIN","icon":"https://storage.googleapis.com/kombo-assets/integrations/join/icon.svg","href":"/ats/connectors/join"},{"title":"Kombo Sandbox ATS Integration","sidebarTitle":"Kombo Sandbox","icon":"https://storage.googleapis.com/kombo-assets/integrations/sandbox/icon.svg","href":"/ats/connectors/sandbox"},{"title":"Kula ATS Integration","sidebarTitle":"Kula","icon":"https://storage.googleapis.com/kombo-assets/integrations/kula/icon.svg","href":"/ats/connectors/kula"},{"title":"Laura ATS Integration","sidebarTitle":"Laura","icon":"https://storage.googleapis.com/kombo-assets/integrations/laura/icon.svg","href":"/ats/connectors/laura"},{"title":"Lever ATS Integration","sidebarTitle":"Lever","icon":"https://storage.googleapis.com/kombo-assets/integrations/lever/icon.svg","href":"/ats/connectors/lever"},{"title":"Logic Melon ATS Integration","sidebarTitle":"Logic Melon","icon":"https://storage.googleapis.com/kombo-assets/integrations/logicmelon/icon.svg","href":"/ats/connectors/logicmelon"},{"title":"Loxo ATS Integration","sidebarTitle":"Loxo","icon":"https://storage.googleapis.com/kombo-assets/integrations/loxo/icon.svg","href":"/ats/connectors/loxo"},{"title":"Manatal ATS Integration","sidebarTitle":"Manatal","icon":"https://storage.googleapis.com/kombo-assets/integrations/manatal/icon.svg","href":"/ats/connectors/manatal"},{"title":"Mercury ATS Integration","sidebarTitle":"Mercury","icon":"https://storage.googleapis.com/kombo-assets/integrations/mercury/icon.svg","href":"/ats/connectors/mercury"},{"title":"MHM HR ATS Integration","sidebarTitle":"MHM HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/mhmhr/icon.svg","href":"/ats/connectors/mhmhr"},{"title":"Mysolution ATS Integration","sidebarTitle":"Mysolution","icon":"https://storage.googleapis.com/kombo-assets/integrations/mysolution/icon.svg","href":"/ats/connectors/mysolution"},{"title":"Odoo ATS Integration","sidebarTitle":"Odoo","icon":"https://storage.googleapis.com/kombo-assets/integrations/odoo/icon.svg","href":"/ats/connectors/odoo"},{"title":"Onlyfy ATS Integration","sidebarTitle":"Onlyfy","icon":"https://storage.googleapis.com/kombo-assets/integrations/onlyfy/icon.svg","href":"/ats/connectors/onlyfy"},{"title":"Oracle Recruiting Cloud ATS Integration","sidebarTitle":"Oracle Recruiting Cloud","icon":"https://storage.googleapis.com/kombo-assets/integrations/oraclerecruiting/icon.svg","href":"/ats/connectors/oraclerecruiting"},{"title":"Oracle Taleo ATS Integration","sidebarTitle":"Oracle Taleo","icon":"https://storage.googleapis.com/kombo-assets/integrations/taleo/icon.svg","href":"/ats/connectors/taleo"},{"title":"OTYS ATS Integration","sidebarTitle":"OTYS","icon":"https://storage.googleapis.com/kombo-assets/integrations/otys/icon.svg","href":"/ats/connectors/otys"},{"title":"P\u0026I Loga ATS Integration","sidebarTitle":"P\u0026I Loga","icon":"https://storage.googleapis.com/kombo-assets/integrations/piloga/icon.svg","href":"/ats/connectors/piloga"},{"title":"PageUp People ATS Integration","sidebarTitle":"PageUp People","icon":"https://storage.googleapis.com/kombo-assets/integrations/pageup/icon.svg","href":"/ats/connectors/pageup"},{"title":"Paradox ATS Integration","sidebarTitle":"Paradox","icon":"https://storage.googleapis.com/kombo-assets/integrations/paradox/icon.svg","href":"/ats/connectors/paradox"},{"title":"Paycor ATS Integration","sidebarTitle":"Paycor","icon":"https://storage.googleapis.com/kombo-assets/integrations/paycor/icon.svg","href":"/ats/connectors/paycor"},{"title":"Paylocity ATS Integration","sidebarTitle":"Paylocity","icon":"https://storage.googleapis.com/kombo-assets/integrations/paylocity/icon.svg","href":"/ats/connectors/paylocity"},{"title":"Perbility Helix ATS Integration","sidebarTitle":"Perbility Helix","icon":"https://storage.googleapis.com/kombo-assets/integrations/perbilityhelix/icon.svg","href":"/ats/connectors/perbilityhelix"},{"title":"Personio ATS Integration","sidebarTitle":"Personio","icon":"https://storage.googleapis.com/kombo-assets/integrations/personio/icon.svg","href":"/ats/connectors/personio"},{"title":"Perview ATS Integration","sidebarTitle":"Perview","icon":"https://storage.googleapis.com/kombo-assets/integrations/perview/icon.svg","href":"/ats/connectors/perview"},{"title":"Phenom ATS Integration","sidebarTitle":"Phenom","icon":"https://storage.googleapis.com/kombo-assets/integrations/phenom/icon.svg","href":"/ats/connectors/phenom"},{"title":"Pinpoint ATS Integration","sidebarTitle":"Pinpoint","icon":"https://storage.googleapis.com/kombo-assets/integrations/pinpoint/icon.svg","href":"/ats/connectors/pinpoint"},{"title":"ReachMee ATS Integration","sidebarTitle":"ReachMee","icon":"https://storage.googleapis.com/kombo-assets/integrations/reachmee/icon.svg","href":"/ats/connectors/reachmee"},{"title":"RECRU ATS Integration","sidebarTitle":"RECRU","icon":"https://storage.googleapis.com/kombo-assets/integrations/recruhr/icon.svg","href":"/ats/connectors/recruhr"},{"title":"Recruit CRM ATS Integration","sidebarTitle":"Recruit CRM","icon":"https://storage.googleapis.com/kombo-assets/integrations/recruitcrm/icon.svg","href":"/ats/connectors/recruitcrm"},{"title":"RecruiterFlow ATS Integration","sidebarTitle":"RecruiterFlow","icon":"https://storage.googleapis.com/kombo-assets/integrations/recruiterflow/icon.svg","href":"/ats/connectors/recruiterflow"},{"title":"rexx systems ATS Integration","sidebarTitle":"rexx systems","icon":"https://storage.googleapis.com/kombo-assets/integrations/rexx/icon.svg","href":"/ats/connectors/rexx"},{"title":"Sage HR ATS Integration","sidebarTitle":"Sage HR","icon":"https://storage.googleapis.com/kombo-assets/integrations/sagehr/icon.svg","href":"/ats/connectors/sagehr"},{"title":"SAP SuccessFactors ATS Integration","sidebarTitle":"SAP SuccessFactors","icon":"https://storage.googleapis.com/kombo-assets/integrations/successfactors/icon.svg","href":"/ats/connectors/successfactors"},{"title":"SmartRecruiters ATS Integration","sidebarTitle":"SmartRecruiters","icon":"https://storage.googleapis.com/kombo-assets/integrations/smartrecruiters/icon.svg","href":"/ats/connectors/smartrecruiters"},{"title":"Softgarden ATS Integration","sidebarTitle":"Softgarden","icon":"https://storage.googleapis.com/kombo-assets/integrations/softgarden/icon.svg","href":"/ats/connectors/softgarden"},{"title":"Softgarden Partner ATS Integration","sidebarTitle":"Softgarden Partner","icon":"https://storage.googleapis.com/kombo-assets/integrations/softgardenpartner/icon.svg","href":"/ats/connectors/softgardenpartner"},{"title":"Spark Hire Recruit ATS Integration","sidebarTitle":"Spark Hire Recruit","icon":"https://storage.googleapis.com/kombo-assets/integrations/comeet/icon.svg","href":"/ats/connectors/comeet"},{"title":"Spott ATS Integration","sidebarTitle":"Spott","icon":"https://storage.googleapis.com/kombo-assets/integrations/spott/icon.svg","href":"/ats/connectors/spott"},{"title":"Stardex ATS Integration","sidebarTitle":"Stardex","icon":"https://storage.googleapis.com/kombo-assets/integrations/stardex/icon.svg","href":"/ats/connectors/stardex"},{"title":"Taleez ATS Integration","sidebarTitle":"Taleez","icon":"https://storage.googleapis.com/kombo-assets/integrations/taleez/icon.svg","href":"/ats/connectors/taleez"},{"title":"Talent Clue ATS Integration","sidebarTitle":"Talent Clue","icon":"https://storage.googleapis.com/kombo-assets/integrations/talentclue/icon.svg","href":"/ats/connectors/talentclue"},{"title":"Talent360 ATS Integration","sidebarTitle":"Talent360","icon":"https://storage.googleapis.com/kombo-assets/integrations/talent360/icon.svg","href":"/ats/connectors/talent360"},{"title":"TalentAdore ATS Integration","sidebarTitle":"TalentAdore","icon":"https://storage.googleapis.com/kombo-assets/integrations/talentadore/icon.svg","href":"/ats/connectors/talentadore"},{"title":"Talention ATS Integration","sidebarTitle":"Talention","icon":"https://storage.googleapis.com/kombo-assets/integrations/talention/icon.svg","href":"/ats/connectors/talention"},{"title":"Teamtailor ATS Integration","sidebarTitle":"Teamtailor","icon":"https://storage.googleapis.com/kombo-assets/integrations/teamtailor/icon.svg","href":"/ats/connectors/teamtailor"},{"title":"Teamtailor Job Boards ATS Integration","sidebarTitle":"Teamtailor Job Boards","icon":"https://storage.googleapis.com/kombo-assets/integrations/teamtailorjobboards/icon.svg","href":"/ats/connectors/teamtailorjobboards"},{"title":"Tellent Recruitee ATS Integration","sidebarTitle":"Tellent Recruitee","icon":"https://storage.googleapis.com/kombo-assets/integrations/recruitee/icon.svg","href":"/ats/connectors/recruitee"},{"title":"TrackerRMS ATS Integration","sidebarTitle":"TrackerRMS","icon":"https://storage.googleapis.com/kombo-assets/integrations/trackerrms/icon.svg","href":"/ats/connectors/trackerrms"},{"title":"TRAFFIT ATS Integration","sidebarTitle":"TRAFFIT","icon":"https://storage.googleapis.com/kombo-assets/integrations/traffit/icon.svg","href":"/ats/connectors/traffit"},{"title":"Ubeeo ATS Integration","sidebarTitle":"Ubeeo","icon":"https://storage.googleapis.com/kombo-assets/integrations/ubeeo/icon.svg","href":"/ats/connectors/ubeeo"},{"title":"UKG Pro ATS Integration","sidebarTitle":"UKG Pro","icon":"https://storage.googleapis.com/kombo-assets/integrations/ukgpro/icon.svg","href":"/ats/connectors/ukgpro"},{"title":"UKG Ready ATS Integration","sidebarTitle":"UKG Ready","icon":"https://storage.googleapis.com/kombo-assets/integrations/ukgready/icon.svg","href":"/ats/connectors/ukgready"},{"title":"Welcome to the Jungle ATS Integration","sidebarTitle":"Welcome to the Jungle","icon":"https://storage.googleapis.com/kombo-assets/integrations/welcometothejungle/icon.svg","href":"/ats/connectors/welcometothejungle"},{"title":"Workable ATS Integration","sidebarTitle":"Workable","icon":"https://storage.googleapis.com/kombo-assets/integrations/workable/icon.svg","href":"/ats/connectors/workable"},{"title":"Workday ATS Integration","sidebarTitle":"Workday","icon":"https://storage.googleapis.com/kombo-assets/integrations/workday/icon.svg","href":"/ats/connectors/workday"},{"title":"Zoho Recruit ATS Integration","sidebarTitle":"Zoho Recruit","icon":"https://storage.googleapis.com/kombo-assets/integrations/zohorecruit/icon.svg","href":"/ats/connectors/zohorecruit"},{"title":"Zvoove Recruit ATS Integration","sidebarTitle":"Zvoove Recruit","icon":"https://storage.googleapis.com/kombo-assets/integrations/zvooverecruit/icon.svg","href":"/ats/connectors/zvooverecruit"}]},{"title":"FAQ","icon":"question","href":"/ats/faq"},{"title":"Important Changes","icon":"bell","href":"/ats/important-changes"}]},{"group":"Features","icon":"cubes","pages":[{"title":"Real-time Data","icon":"bolt","href":"/ats/features/real-time-data"},{"title":"Application attribution","icon":"tag","href":"/ats/features/application-attribution"},{"title":"Application tracking","icon":"chart-mixed","href":"/ats/features/application-status-tracking"},{"title":"Upstream filtering","icon":"filter","href":"/ats/features/upstream-filtering"},{"title":"Screening questions","icon":"clipboard-question","href":"/ats/features/candidate-screening-questions"},{"title":"Notes \u0026 Scorecards","icon":"clipboard-list","href":"/ats/features/notes-scorecards"},{"title":"Attachments","icon":"paperclip","href":"/ats/features/attachments"},{"title":"EEO questions","icon":"clipboard-question","href":"/ats/features/eeo-questions"},{"title":"Roles","icon":"user-shield","href":"/ats/features/roles"},{"title":"Data Explorer","icon":"table","href":"/ats/features/data-explorer"},{"title":"Setup Flow","icon":"sliders","href":"/ats/features/setup-flow/introduction"},{"title":"Custom Fields","icon":"square-plus","href":"/ats/features/custom-fields"},{"title":"Advanced Mappings","icon":"brackets-curly","href":"/ats/features/advanced-mappings"},{"group":"Remapping","icon":"shuffle","pages":[{"title":"Introduction","icon":"shuffle","href":"/ats/features/remapping/introduction"},{"title":"Remapping simple fields","icon":"sliders","href":"/ats/features/remapping/simple-remapping"},{"title":"Remapping enum fields","icon":"list-check","href":"/ats/features/remapping/enum-remapping"},{"title":"Remapping date fields","icon":"calendar-days","href":"/ats/features/remapping/date-remapping"},{"title":"Remapping address fields","icon":"map","href":"/ats/features/remapping/struct-remapping"},{"title":"Remapping reference fields","icon":"link","href":"/ats/features/remapping/reference-remapping"},{"title":"Remapping array fields","icon":"brackets-curly","href":"/ats/features/remapping/array-remapping"},{"title":"Kombo default fallback","icon":"rotate-left","href":"/ats/features/remapping/kombo-default-fallback"}]},{"title":"Logs","icon":"scroll","href":"/ats/features/logs"},{"title":"Issues","icon":"triangle-exclamation","href":"/ats/features/issues"},{"title":"Issue types","icon":"triangle-exclamation","href":"/ats/features/issue-types"},{"title":"Deletion Policy","icon":"trash","href":"/ats/features/deletion-policy"},{"title":"Passthrough API","icon":"right-left","href":"/ats/features/passthrough-api"},{"title":"Komboman","icon":"terminal","href":"/ats/features/komboman"},{"title":"Extend write endpoints","icon":"wand-magic-sparkles","href":"/ats/features/remote-fields"},{"title":"Scopes","icon":"bullseye","href":"/ats/features/scopes"},{"title":"Audit Logs","icon":"clipboard-list","href":"/ats/features/audit-logs"}]},{"group":"Guides","icon":"book-open","pages":[{"group":"Kombo Connect","icon":"link","pages":[{"title":"Introduction","icon":"link","href":"/ats/guides/connect/introduction"},{"title":"Manual setup","icon":"wrench","href":"/ats/guides/connect/manual-setup"},{"title":"Magic links","icon":"wand-magic-sparkles","href":"/ats/guides/connect/magic-links"},{"title":"Embedded flow","icon":"puzzle-piece","href":"/ats/guides/connect/embedded-flow"},{"title":"Reconnecting an integration","icon":"arrow-rotate-right","href":"/ats/guides/connect/reconnection"}]},{"title":"How Kombo Syncs Data","icon":"arrows-rotate","href":"/ats/guides/sync"},{"title":"Error Handling","icon":"bug-slash","href":"/guides/errors"},{"title":"Concurrency Limiting","icon":"gauge-max","href":"/ats/guides/concurrency-limiting"},{"title":"Webhooks","icon":"bolt","href":"/ats/guides/webhooks"},{"title":"Upstream webhooks","icon":"cloud-arrow-down","href":"/ats/guides/upstream-webhooks"},{"title":"Integration States","icon":"traffic-light","href":"/ats/guides/integration-states"},{"title":"Implementing New Tools","icon":"toolbox","href":"/ats/guides/implementing-new-tools"},{"title":"Environments","icon":"building","href":"/ats/guides/environments"},{"title":"Partner Credentials","icon":"handshake","href":"/ats/guides/partner-credentials"},{"title":"Static IPs","icon":"shield-check","href":"/ats/guides/static-ips"},{"group":"Troubleshooting","icon":"bug","pages":[{"title":"How to troubleshoot issues with Kombo","icon":"life-ring","href":"/ats/guides/debugging/introduction"},{"title":"Troubleshoot connection flow problems","icon":"link-slash","href":"/ats/guides/debugging/debug-connection-flow"},{"title":"Investigate failing actions","icon":"bolt","href":"/ats/guides/debugging/investigate-failing-actions"},{"title":"Diagnosing missing or incorrect data","icon":"magnifying-glass","href":"/ats/guides/debugging/debug-data-issues"}]}]},{"group":"ATS API Reference","icon":"book","pages":[{"group":"Jobs","icon":"briefcase","pages":[{"title":"Get jobs","openapi":"GET /ats/jobs","href":"/ats/v1/get-jobs"},{"title":"Get application stages","openapi":"GET /ats/application-stages","href":"/ats/v1/get-application-stages"},{"title":"Get Job Postings","icon":"arrow-up-right-from-square","href":"/ats/v1/get-postings"}]},{"group":"Applications","icon":"file-lines","pages":[{"title":"Get applications","openapi":"GET /ats/applications","href":"/ats/v1/get-applications"},{"title":"Create application","openapi":"POST /ats/jobs/{job_id}/applications","href":"/ats/v1/post-jobs-job-id-applications"},{"title":"Add attachment to application","openapi":"POST /ats/applications/{application_id}/attachments","href":"/ats/v1/post-applications-application-id-attachments"},{"title":"Move application to stage","openapi":"PUT /ats/applications/{application_id}/stage","href":"/ats/v1/put-applications-application-id-stage"},{"title":"Add result link to application","openapi":"POST /ats/applications/{application_id}/result-links","href":"/ats/v1/post-applications-application-id-result-links"},{"title":"Add note to application","openapi":"POST /ats/applications/{application_id}/notes","href":"/ats/v1/post-applications-application-id-notes"},{"title":"Get application attachments","description":"Get attachments from a candidate or application.","openapi":"GET /ats/applications/{application_id}/attachments","href":"/ats/v1/get-applications-application-id-attachments"},{"title":"Reject application","openapi":"POST /ats/applications/{application_id}/reject","href":"/ats/v1/post-applications-application-id-reject"},{"title":"Create interview","description":"Create interview","openapi":"POST /ats/applications/{application_id}/interviews","href":"/ats/v1/post-applications-application-id-interviews"},{"title":"Update interview","openapi":"PATCH /ats/applications/{application_id}/interviews","href":"/ats/v1/patch-applications-application-id-interviews"}]},{"group":"Candidates","icon":"user","pages":[{"title":"Get candidates","openapi":"GET /ats/candidates","href":"/ats/v1/get-candidates"},{"title":"Create candidate","openapi":"POST /ats/candidates","href":"/ats/v1/post-candidates"},{"title":"Get candidate attachments","openapi":"GET /ats/candidates/{candidate_id}/attachments","href":"/ats/v1/get-candidates-candidate-id-attachments"},{"title":"Add attachment to candidate","openapi":"POST /ats/candidates/{candidate_id}/attachments","href":"/ats/v1/post-candidates-candidate-id-attachments"},{"title":"Add result link to candidate","openapi":"POST /ats/candidates/{candidate_id}/result-links","href":"/ats/v1/post-candidates-candidate-id-result-links"},{"title":"Move application to stage","openapi":"PUT /ats/applications/{application_id}/stage","href":"/ats/v1/put-applications-application-id-stage"}]},{"group":"Attachments","icon":"paperclip","pages":[{"title":"Get attachments","openapi":"GET /ats/attachments","href":"/ats/v1/get-attachments"}]},{"group":"Notes","icon":"note-sticky","pages":[{"title":"Get notes","openapi":"GET /ats/notes","href":"/ats/v1/get-notes"},{"title":"Add note to application","openapi":"POST /ats/applications/{application_id}/notes","href":"/ats/v1/post-applications-application-id-notes"}]},{"group":"Scorecards","icon":"clipboard-check","pages":[{"title":"Get scorecards","openapi":"GET /ats/scorecards","href":"/ats/v1/get-scorecards"}]},{"group":"Tags","icon":"tags","pages":[{"title":"Get tags","openapi":"GET /ats/tags","href":"/ats/v1/get-tags"},{"title":"Add tag to candidate","openapi":"POST /ats/candidates/{candidate_id}/tags","href":"/ats/v1/post-candidates-candidate-id-tags"},{"title":"Remove tag from candidate","openapi":"DELETE /ats/candidates/{candidate_id}/tags","href":"/ats/v1/delete-candidates-candidate-id-tags"}]},{"group":"Users","icon":"users","pages":[{"title":"Get users","openapi":"GET /ats/users","href":"/ats/v1/get-users"}]},{"group":"Offers","icon":"handshake","pages":[{"title":"Get offers","openapi":"GET /ats/offers","href":"/ats/v1/get-offers"}]},{"group":"Rejection reasons","icon":"circle-xmark","pages":[{"title":"Get rejection reasons","openapi":"GET /ats/rejection-reasons","href":"/ats/v1/get-rejection-reasons"}]},{"group":"Interviews","icon":"calendar-check","pages":[{"title":"Get interviews","openapi":"GET /ats/interviews","href":"/ats/v1/get-interviews"},{"title":"Create interview","openapi":"POST /ats/applications/{application_id}/interviews","href":"/ats/v1/post-applications-application-id-interviews"},{"title":"Update interview","openapi":"PATCH /ats/applications/{application_id}/interviews","href":"/ats/v1/patch-applications-application-id-interviews"}]},{"group":"Roles","icon":"unlock","pages":[{"title":"Get roles","openapi":"GET /ats/roles","href":"/ats/v1/get-roles"}]}]},{"group":"General API Reference","pages":[{"group":"Kombo Connect","icon":"link","pages":[{"title":"Create connection link","openapi":"POST /connect/create-link","href":"/ats/v1/post-connect-create-link"},{"title":"Get integration by token","openapi":"GET /connect/integration-by-token/{token}","href":"/ats/v1/get-connect-integration-by-token-token"},{"title":"Activate integration (optional)","openapi":"POST /connect/activate-integration","href":"/ats/v1/post-connect-activate-integration"},{"title":"Create reconnection link","openapi":"POST /integrations/{integration_id}/relink","href":"/ats/v1/post-integrations-integration-id-relink"},{"title":"Create Setup Flow link","openapi":"POST /integrations/{integration_id}/setup-link","href":"/ats/v1/post-integrations-integration-id-setup-link"},{"title":"Get tools","openapi":"GET /tools/{category}","href":"/ats/v1/get-tools-category"}]},{"group":"Integrations","icon":"plug","pages":[{"title":"Get integration details","openapi":"GET /integrations/{integration_id}","href":"/ats/v1/get-integrations-integration-id"},{"title":"Set integration enabled","openapi":"PUT /integrations/{integration_id}/enabled","href":"/ats/v1/put-integrations-integration-id-enabled"},{"title":"Delete integration","openapi":"DELETE /integrations/{integration_id}","href":"/ats/v1/delete-integrations-integration-id"},{"title":"Trigger sync","openapi":"POST /force-sync","href":"/ats/v1/post-force-sync"}]},{"group":"Filtering","icon":"filter","pages":[{"title":"Create provisioning setup link (deprecated)","openapi":"POST /hris/provisioning-groups/{group_id}/setup-links","href":"/ats/v1/post-hris-provisioning-groups-group-id-setup-links"}]},{"group":"Custom Fields","icon":"square-plus","pages":[{"title":"Get custom fields with current mappings","openapi":"GET /integrations/{integration_id}/custom-fields","href":"/ats/v1/get-integrations-integration-id-custom-fields"}]},{"group":"Other","icon":"ellipsis","pages":[{"title":"Check API key","openapi":"GET /check-api-key","href":"/ats/v1/get-check-api-key"},{"title":"Send passthrough request","openapi":"POST /passthrough/{tool}/{api}","href":"/ats/v1/post-passthrough-tool-api"}]}]}]},{"anchor":"ATS Assessment \u0026 Background Check","icon":"ballot-check","pages":[{"title":"ATS Assessment \u0026 Background Check","href":"/assessment/introduction"}]},{"anchor":"AI Apply","icon":"browser","pages":[{"title":"AI Apply","href":"/ai-apply/introduction"}]},{"anchor":"Changelog","icon":"book","href":"https://changelog.kombo.dev"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.kombo.dev"}]},{"tab":"Help Center","icon":"life-ring","pages":[{"title":"Help Center","href":"/help-center"}]}]},"basePath":"","title":"Reject application - Kombo","buildId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","deploymentId":"dpl_36EDyZCDfRuoUD9af5CH4M1bqY2h","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a74be98ba7","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DCDCdBVX.js","utils-ME8dDnLe.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-0e84ACsd.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-wgRBj-ia.js","snippetPresets-C11Sgb-o.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-C0lapOpP.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-ZeRQV8fF.js","shallow-BupWh095.js","getApiPlaygroundDisplay-BnYQO2Ss.js","CodeSnippet-RKKOc8c_.js","CodeSnippets-Drf_m8wS.js","Page-Bevw23-4.js","getPastedJson-u6QiPzNZ.js","icon-Bb-CBSxO.js","MethodPill-F7l5AI7V.js","DuplicateIcon-IiAXkdSg.js","createIcon-FliI8EBc.js","DynamicMarkdown-B62XqCSI.js","SectionHeading-Dj31pT03.js","axios-vUo_bRtp.js","zoom-image-lightbox-eHyQ0tlO.js","lightbox-handle-r17bVUz3.js","Markdown-BOgQCTwD.js","clsx-BIWXJmsZ.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-DKZWslLH.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-UDqbR6xh.js"]}